package domain

type AlibabaWdkMarketingOpenPosDiscountCodeCreateWdkMarketOpenResult struct {
	/*
	   唯一码信息     */
	Data *AlibabaWdkMarketingOpenPosDiscountCodeCreateUniqueDiscountCodeBO `json:"data,omitempty" `

	/*
	   true--成功，false--失败     */
	Success *bool `json:"success,omitempty" `

	/*
	   错误提示信息     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   错误码     */
	Message *string `json:"message,omitempty" `
}

func (s *AlibabaWdkMarketingOpenPosDiscountCodeCreateWdkMarketOpenResult) SetData(v AlibabaWdkMarketingOpenPosDiscountCodeCreateUniqueDiscountCodeBO) *AlibabaWdkMarketingOpenPosDiscountCodeCreateWdkMarketOpenResult {
	s.Data = &v
	return s
}
func (s *AlibabaWdkMarketingOpenPosDiscountCodeCreateWdkMarketOpenResult) SetSuccess(v bool) *AlibabaWdkMarketingOpenPosDiscountCodeCreateWdkMarketOpenResult {
	s.Success = &v
	return s
}
func (s *AlibabaWdkMarketingOpenPosDiscountCodeCreateWdkMarketOpenResult) SetErrorCode(v string) *AlibabaWdkMarketingOpenPosDiscountCodeCreateWdkMarketOpenResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaWdkMarketingOpenPosDiscountCodeCreateWdkMarketOpenResult) SetMessage(v string) *AlibabaWdkMarketingOpenPosDiscountCodeCreateWdkMarketOpenResult {
	s.Message = &v
	return s
}
